package org.apache.slide.projector.constraints;

import org.apache.commons.contract.constraints.Constraints;
import org.apache.commons.xmlio.out.XMLStringWriter;
import org.jdom.Element;

public interface ConstraintsFactory {
	public String getElementName();

	public Class getValueClass();
    
    public String getContentType(Object value);
    
	public Object load(Element element);
	
    public void save(Object value, XMLStringWriter writer);
	
	public Constraints loadDescriptor(Element element);
}